Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1072 (closed defect: fixed)

Opened 13 years ago

Last modified 12 years ago

On IXP425 madwifi driver sometimes crashes in ath_hardstart function when calling ath_ffstageq_flush

Reported by: rozteck@interia.pl Assigned to:
Priority: major Milestone: version 0.9.5
Component: madwifi: driver Version: trunk
Keywords: Cc:
Patch is attached: 1 Pending:

Description

On driver reinit madwifi sometimes crashes on IXP425 platform with kernel 2.6.18-rt7. The ath_ffstageq_flush function is called with NULL sc parameter.

Attachments

ath_hardstart_crash_fix.diff (0.5 kB) - added by rozteck@interia.pl on 01/08/07 10:58:31.
The following patch fixes the bug
ath_hardstart_crash_fix.2.diff (0.5 kB) - added by rozteck@interia.pl on 01/09/07 10:35:22.
This patch prevents ath_hardstart function from calling ath_ffstageq_flush with NULL parameter causing crash. Signed-off-by: Tomasz Rostanski <rozteck@interia.pl>

Change History

01/08/07 10:58:31 changed by rozteck@interia.pl

  • attachment ath_hardstart_crash_fix.diff added.

The following patch fixes the bug

01/08/07 11:00:45 changed by mrenzmann

  • version set to trunk.

Please sign off the patch so that it can be committed to the repository after evaluation.

01/09/07 10:35:22 changed by rozteck@interia.pl

  • attachment ath_hardstart_crash_fix.2.diff added.

This patch prevents ath_hardstart function from calling ath_ffstageq_flush with NULL parameter causing crash. Signed-off-by: Tomasz Rostanski <rozteck@interia.pl>

01/16/07 17:04:33 changed by rozteck@interia.pl

Can be fixed applying patch from ticket #907

06/21/07 22:56:50 changed by mtaylor

  • status changed from new to closed.
  • resolution set to fixed.

This should be fixed in trunk.

06/27/07 12:15:48 changed by mrenzmann

  • milestone set to version 0.9.4.

02/11/08 06:14:57 changed by mrenzmann

  • milestone changed from version 0.9.4 to version 0.9.5.